## afdko 3.5.1+dfsg1

=== requirements.txt ===
# 'lxml' is not a primary requirement of afdko but it's listed here because
# we want to have control over the version and guarantee that the XML output
# of our tools is stable
# NOTE: hard-pinning (==) here gets relaxed to >= in setup.py
lxml==4.5.2
booleanOperations==0.9.0
defcon[pens,lxml]==0.7.2
fontMath==0.6.0
fontTools[ufo,woff,lxml,unicode]==4.14.0
mutatorMath==3.0.1
psautohint==2.1.0
tqdm==4.48.2
ufonormalizer==0.4.2
ufoProcessor==1.9.0

=== debian/changelog ===
afdko (3.5.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.5.1+dfsg1
  * debian/control: Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 10 Oct 2020 23:11:31 +0800

afdko (3.5.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.5.0+dfsg1
  * Move afdko binaries to /usr/libexec and provide script `afdko` for
    interfacing the binaries (Closes: #965151)
  * debian/control:
    - Swap maintainer and uploader; maintainer is now Debian Fonts Task Force
    - Update dependencies
    - Add python3 as afdko dependency to avoid lintian error
  * debian/afdko.install: Remove binaries that don't exist in afdko

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 26 Jul 2020 00:37:33 +0800

afdko (3.4.0+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload for testing migration.
  * Update Homepage field.
  * debian/upstream/metadata: Document GitHub repo.

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Jul 2020 11:40:11 -0400

afdko (3.4.0+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #762252)
  * Remove tests temporarily.  Licenses on the font files need to be checked
    throughly.

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 25 Jun 2020 19:24:09 +0800

=== debian/control ===
Source: afdko
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-booleanoperations (>= 0.9.0),
 python3-cu2qu (>= 1.6.7),
 python3-defcon (>= 0.7.2),
 python3-fontmath (>= 0.6.0),
 python3-fonttools (>= 4.14.0),
 python3-mutatormath (>= 3.0.1),
 python3-psautohint (>= 2.1.0),
 python3-tqdm (>= 4.48.2),
 python3-ufonormalizer (>= 0.4.2),
 python3-ufoprocessor (>= 1.9.0),
 python3-setuptools,
 python3-setuptools-scm,
 python3-wheel
Standards-Version: 4.5.0
Homepage: https://adobe-type-tools.github.io/afdko/
Vcs-Browser: https://salsa.debian.org/fonts-team/afdko
Vcs-Git: https://salsa.debian.org/fonts-team/afdko.git
Testsuite: autopkgtest-pkg-python

Package: afdko
Architecture: all
Depends:
 ${shlibs:Depends}, ${misc:Depends},
 python3, python3-afdko (= ${source:Version})
Suggests: afdko-doc
Description: Adobe Font Development Kit for OpenType
 Tools used to make OpenType fonts by adding the OpenType-specific data to a
 TrueType or Type1 font.

Package: afdko-bin
Architecture: any
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Description: Adobe Font Development Kit for OpenType (Binaries)
 Tools used to make OpenType fonts by adding the OpenType-specific data to a
 TrueType or Type1 font.
 .
 This package installs native binaries in AFDKO.

Package: python3-afdko
Architecture: all
Section: python
Depends:
 ${python3:Depends}, ${misc:Depends},
 afdko-bin (>= ${source:Version}),
 afdko-bin (<< ${source:Upstream-Version}.0~),
 python3-fontpens
Suggests: afdko-doc
Description: Adobe Font Development Kit for OpenType (Python 3)
 Tools used to make OpenType fonts by adding the OpenType-specific data to a
 TrueType or Type1 font.
 .
 This package installs the library for Python 3.

Package: afdko-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Adobe Font Development Kit for OpenType (common documentation)
 Tools used to make OpenType fonts by adding the OpenType-specific data to a
 TrueType or Type1 font.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export XFLAGS=$(shell dpkg-buildflags --get CFLAGS)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	python3 setup.py clean

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1" \
https://github.com/adobe-type-tools/afdko/releases \
   .*/afdko-@ANY_VERSION@@ARCHIVE_EXT@

## afdko 3.6.0%2Bdfsg1

=== c/type1/build/linux/gcc/release/Makefile ===
#########################################################################
#                                                                       #
# Copyright 1997-2001 Adobe Systems Incorporated.                       #
# All rights reserved.                                                  #
#                                                                       #
#########################################################################

# Configuration
CONFIG = release
ROOT_DIR = $(realpath ../../../..)

CFLAGS = $(STD_OPTS) -g

# Program
PRG_SRCS = $(SRC_DIR)/type1.c
PRG_OBJS = type1.o
PRG_TARGET = $(EXE_DIR)/type1

# Build targets
TARGETS = $(PRG_TARGET)

# Standard definitions
include $(realpath ../../../../../public/config/linux/gcc/gcc.mak)

# Object rules
type1.o: 
	$(CC) $(CFLAGS) -c $(SRC_DIR)/type1.c -o $@

# AUTO-GENERATED DEPENDENCIES
type1.o: $(SRC_DIR)/type1.c

=== c/makeotf/makeotf_lib/build/typecomp/linux/gcc/release/Makefile ===
#########################################################################
#                                                                       #
# Copyright 2014 Adobe Systems Incorporated.                       #
# All rights reserved.                                                  #
#                                                                       #
#########################################################################

# Configuration
CONFIG = release

# Library
ROOT_DIR = $(realpath ../../../../..)
SRC_DIR = $(ROOT_DIR)/source/typecomp
OBJECT_DIR = .
LIB_TARGET = $(LIB_DIR)/typecomp.a

CFLAGS = $(STD_OPTS) -I$(ROOT_DIR)/api \
					 -I$(ROOT_DIR)/resource \
					 -I$(realpath $(ROOT_DIR)/../../public/lib/api) \
					 -I$(realpath $(ROOT_DIR)/../../public/lib/resource) \
					 -DTC_HINT_CHECK=1 \
					 -DTC_T13_SUPPORT=0 \
					 -DTC_EURO_SUPPORT=1 \
					 -DTC_SUBR_SUPPORT=1
					 -DTC_DEBUG=1
					 
LIB_SRCS = \
	$(SRCDIR)/charset.c \
	$(SRCDIR)/cs.c \
	$(SRCDIR)/dict.c \
	$(SRCDIR)/encoding.c \
	$(SRCDIR)/fdselect.c \
	$(SRCDIR)/parse.c \
	$(SRCDIR)/recode.c \
	$(SRCDIR)/sindex.c \
	$(SRCDIR)/subr.c \
	$(SRCDIR)/t13.c \
	$(SRCDIR)/tc.c \

LIB_OBJS = \
	$(OBJECT_DIR)/charset.o \
	$(OBJECT_DIR)/cs.o \
	$(OBJECT_DIR)/dict.o \
	$(OBJECT_DIR)/encoding.o \
	$(OBJECT_DIR)/fdselect.o \
	$(OBJECT_DIR)/parse.o \
	$(OBJECT_DIR)/recode.o \
	$(OBJECT_DIR)/sindex.o \
	$(OBJECT_DIR)/subr.o \
	$(OBJECT_DIR)/t13.o \
	$(OBJECT_DIR)/tc.o \

# Standard definitions
include  $(realpath $(ROOT_DIR)/../../public/lib/config/linux/gcc/gcc.mak)

	
# Lib Object rules
charset.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/charset.c -o $@

cs.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/cs.c -o $@

dict.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/dict.c -o $@

encoding.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/encoding.c -o $@

fdselect.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/fdselect.c -o $@

parse.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/parse.c -o $@

recode.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/recode.c -o $@

sindex.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/sindex.c -o $@

subr.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/subr.c -o $@

t13.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/t13.c -o $@

tc.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/tc.c -o $@

=== c/public/lib/build/pstoken/linux/gcc/debug/Makefile ===
#########################################################################
#                                                                       #
# Copyright 2014 Adobe Systems Incorporated.                       #
# All rights reserved.                                                  #
#                                                                       #
#########################################################################

# Configuration
CONFIG = debug
CFLAGS = $(STD_OPTS) -g -DPST_DEBUG=1

# Library
ROOT_DIR = ../../../../..
SRC_DIR = $(ROOT_DIR)/source/pstoken

LIB_SRCS = $(SRC_DIR)/pstoken.c
LIB_OBJS = pstoken.o
LIB_TARGET = $(LIB_DIR)/pstoken.a

# Build targets
TARGETS = $(LIB_TARGET)

# Standard definitions
include ../../../../../config/linux/gcc/gcc_tx.mak

# Object rules
pstoken.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/pstoken.c -o $@

## afdko 3.6.0+dfsg1

=== requirements.txt ===
# 'lxml' is not a primary requirement of afdko but it's listed here because
# we want to have control over the version and guarantee that the XML output
# of our tools is stable
# NOTE: hard-pinning (==) here gets relaxed to >= in setup.py
lxml==4.6.2
booleanOperations==0.9.0
defcon[pens,lxml]==0.7.2
fontMath==0.6.0
fontTools[woff,ufo,unicode,lxml]==4.18.2
psautohint==2.2.0
tqdm==4.54.1
ufonormalizer==0.5.2
ufoProcessor==1.9.0

=== c/detype1/build/linux/gcc/release/Makefile ===
#########################################################################
#                                                                       #
# Copyright 2014 Adobe Systems Incorporated.                       #
# All rights reserved.                                                  #
#                                                                       #
#########################################################################

# Configuration
CONFIG = release
ROOT_DIR = $(realpath ../../../..)

CFLAGS = $(STD_OPTS) -g

# Program
PRG_SRCS = $(SRC_DIR)/detype1.c
PRG_OBJS = detype1.o
PRG_TARGET = $(EXE_DIR)/detype1

# Build targets
TARGETS = $(PRG_TARGET)

# Standard definitions
include $(realpath ../../../../../public/config/linux/gcc/gcc.mak)

# Object rules
detype1.o: 
	$(CC) $(CFLAGS) -c $(SRC_DIR)/detype1.c -o $@

# AUTO-GENERATED DEPENDENCIES
detype1.o: $(SRC_DIR)/detype1.c

=== c/makeotf/build/linux/gcc/debug/Makefile ===
#########################################################################
#                                                                       #
# Copyright 1997-2014 Adobe Systems Incorporated.                       #
# All rights reserved.                                                  #
#                                                                       #
#########################################################################

# Configuration
CONFIG = debug
ROOT_DIR = ../../../..
OBJECT_DIR = .
LIB_DIR = $(ROOT_DIR)/makeotf_lib/lib/$(PLATFORM)/$(CONFIG)
CT_LIB_DIR = $(ROOT_DIR)/../public/lib/lib/$(PLATFORM)/$(CONFIG)

CFLAGS = $(STD_OPTS)  \
				-I$(ROOT_DIR)/source/include_files \
				-I$(ROOT_DIR)/makeotf_lib/api \
				-I$(ROOT_DIR)/makeotf_lib/resource \
				-I$(ROOT_DIR)/.../public/lib/api 
				-DMAKEOTFLIB_EXPORTS=1 \
				-g


# Program
PRG_SRCS = \
	$(SRC_DIR)/cb.c \
	$(SRC_DIR)/cbpriv.c \
	$(SRC_DIR)/fcdb.c \
	$(SRC_DIR)/file.c \
	$(SRC_DIR)/mac/mac.c \
	$(SRC_DIR)/main.c

PRG_OBJS = \
	$(OBJECT_DIR)/cb.o \
	$(OBJECT_DIR)/cbpriv.o \
	$(OBJECT_DIR)/fcdb.o \
	$(OBJECT_DIR)/file.o \
	$(OBJECT_DIR)/mac.o \
	$(OBJECT_DIR)/main.o

PRG_LIBS = \
		$(CT_LIB_DIR)/ctutil.a \
		$(CT_LIB_DIR)/dynarr.a \
		$(LIB_DIR)/hotconv.a \
		$(LIB_DIR)/pstoken.a \
		$(LIB_DIR)/typecomp.a \
		$(LIB_DIR)/cffread.a

PRG_TARGET = $(EXE_DIR)/makeotfexe

# Build targets
TARGETS = $(PRG_TARGET)

# Standard definitions
include ../../../../../public/config/linux/gcc/gcc.mak

# program rule is in gcc.mak

# Object rules

$(OBJECT_DIR)/cb.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/cb.c -o $@

$(OBJECT_DIR)/cbpriv.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/cbpriv.c -o $@

$(OBJECT_DIR)/fcdb.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/fcdb.c -o $@

$(OBJECT_DIR)/file.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/file.c -o $@

$(OBJECT_DIR)/mac.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/mac/mac.c -o $@

$(OBJECT_DIR)/main.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/main.c -o $@

# Lib rules
CT_LIB_BUILD_DIR = $(ROOT_DIR)/../public/lib/build
LIB_BUILD_DIR = $(ROOT_DIR)/makeotf_lib/build

$(CT_LIB_DIR)/ctutil.a:
	cd $(CT_LIB_BUILD_DIR)/ctutil/$(PLATFORM)/$(COMPILER)/$(CONFIG); $(MAKE) clean; $(MAKE);

$(CT_LIB_DIR)/dynarr.a:
	cd $(CT_LIB_BUILD_DIR)/dynarr/$(PLATFORM)/$(COMPILER)/$(CONFIG); $(MAKE) clean; $(MAKE);

$(LIB_DIR)/hotconv.a:
	cd $(LIB_BUILD_DIR)/hotconv/$(PLATFORM)/$(COMPILER)/$(CONFIG); $(MAKE) clean; $(MAKE);

$(LIB_DIR)/pstoken.a:
	cd $(LIB_BUILD_DIR)/pstoken/$(PLATFORM)/$(COMPILER)/$(CONFIG); $(MAKE) clean; $(MAKE);

$(LIB_DIR)/typecomp.a:
	cd $(LIB_BUILD_DIR)/typecomp/$(PLATFORM)/$(COMPILER)/$(CONFIG); $(MAKE) clean; $(MAKE);

$(LIB_DIR)/cffread.a:
	cd $(LIB_BUILD_DIR)/cffread/$(PLATFORM)/$(COMPILER)/$(CONFIG); $(MAKE) clean; $(MAKE);

=== c/makeotf/build/linux/gcc/release/Makefile ===
#########################################################################
#                                                                       #
# Copyright 1997-2014 Adobe Systems Incorporated.                       #
# All rights reserved.                                                  #
#                                                                       #
#########################################################################

# Configuration
CONFIG = release
ROOT_DIR = $(realpath ../../../..)
OBJECT_DIR = .
LIB_DIR = $(ROOT_DIR)/makeotf_lib/lib/$(PLATFORM)/$(CONFIG)
CT_LIB_DIR = $(ROOT_DIR)/../public/lib/lib/$(PLATFORM)/$(CONFIG)

CFLAGS = $(STD_OPTS)  \
				-I$(ROOT_DIR)/source/include_files \
				-I$(ROOT_DIR)/makeotf_lib/api \
				-I$(ROOT_DIR)/makeotf_lib/resource \
				-I$(realpath $(ROOT_DIR)/.../public/lib/api) \
				-DMAKEOTFLIB_EXPORTS=1

# Program
PRG_SRCS = \
	$(SRC_DIR)/cb.c \
	$(SRC_DIR)/cbpriv.c \
	$(SRC_DIR)/fcdb.c \
	$(SRC_DIR)/file.c \
	$(SRC_DIR)/mac/mac.c \
	$(SRC_DIR)/main.c

PRG_OBJS = \
	$(OBJECT_DIR)/cb.o \
	$(OBJECT_DIR)/cbpriv.o \
	$(OBJECT_DIR)/fcdb.o \
	$(OBJECT_DIR)/file.o \
	$(OBJECT_DIR)/mac.o \
	$(OBJECT_DIR)/main.o

PRG_LIBS = \
		$(CT_LIB_DIR)/ctutil.a \
		$(CT_LIB_DIR)/dynarr.a \
		$(LIB_DIR)/hotconv.a \
		$(LIB_DIR)/pstoken.a \
		$(LIB_DIR)/typecomp.a \
		$(LIB_DIR)/cffread.a

PRG_TARGET = $(EXE_DIR)/makeotfexe

# Build targets
TARGETS = $(PRG_TARGET)

# Standard definitions
include $(realpath ../../../../../public/config/linux/gcc/gcc.mak)

# program rule is in gcc.mak

# Object rules

$(OBJECT_DIR)/cb.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/cb.c -o $@

$(OBJECT_DIR)/cbpriv.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/cbpriv.c -o $@

$(OBJECT_DIR)/fcdb.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/fcdb.c -o $@

$(OBJECT_DIR)/file.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/file.c -o $@

$(OBJECT_DIR)/mac.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/mac/mac.c -o $@

$(OBJECT_DIR)/main.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/main.c -o $@

# Lib rules
CT_LIB_BUILD_DIR = $(ROOT_DIR)/../public/lib/build
LIB_BUILD_DIR = $(ROOT_DIR)/makeotf_lib/build

$(CT_LIB_DIR)/ctutil.a:
	cd $(CT_LIB_BUILD_DIR)/ctutil/$(PLATFORM)/$(COMPILER)/$(CONFIG); $(MAKE) clean; $(MAKE);

$(CT_LIB_DIR)/dynarr.a:
	cd $(CT_LIB_BUILD_DIR)/dynarr/$(PLATFORM)/$(COMPILER)/$(CONFIG); $(MAKE) clean; $(MAKE);

$(LIB_DIR)/hotconv.a:
	cd $(LIB_BUILD_DIR)/hotconv/$(PLATFORM)/$(COMPILER)/$(CONFIG); $(MAKE) clean; $(MAKE);

$(LIB_DIR)/pstoken.a:
	cd $(LIB_BUILD_DIR)/pstoken/$(PLATFORM)/$(COMPILER)/$(CONFIG); $(MAKE) clean; $(MAKE);

$(LIB_DIR)/typecomp.a:
	cd $(LIB_BUILD_DIR)/typecomp/$(PLATFORM)/$(COMPILER)/$(CONFIG); $(MAKE) clean; $(MAKE);

$(LIB_DIR)/cffread.a:
	cd $(LIB_BUILD_DIR)/cffread/$(PLATFORM)/$(COMPILER)/$(CONFIG); $(MAKE) clean; $(MAKE);

=== c/mergefonts/build/linux/gcc/debug/Makefile ===
#########################################################################
#                                                                       #
# Copyright 1997-2003 Adobe Systems Incorporated.                       #
# All rights reserved.                                                  #
#                                                                       #
#########################################################################

# Configuration
CONFIG = debug
ROOT_DIR = ../../../..
OBJECT_DIR = .

CFLAGS = $(STD_OPTS) -g

# Program
PRG_SRCS = $(SRC_DIR)/mergeFonts.c
PRG_OBJS = mergeFonts.o
PRG_TARGET = $(EXE_DIR)/mergefonts

# Build targets
TARGETS = $(PRG_TARGET)

# Standard definitions
include ../../../../../public/config/linux/gcc/gcc_tx.mak

# include tx/rotatefont/mergefonts shared header files
STD_OPTS += -I$(realpath $(ROOT_DIR)/../public/lib/source/tx_shared)

# Object rules
mergeFonts.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/mergeFonts.c -o $@

=== c/mergefonts/build/linux/gcc/release/Makefile ===
#########################################################################
#                                                                       #
# Copyright 1997-2003 Adobe Systems Incorporated.                       #
# All rights reserved.                                                  #
#                                                                       #
#########################################################################

# Configuration
CONFIG = release
ROOT_DIR = $(realpath ../../../..)
OBJECT_DIR = .

CFLAGS = $(STD_OPTS)

# Program
PRG_SRCS = $(SRC_DIR)/mergeFonts.c
PRG_OBJS = mergeFonts.o
PRG_TARGET = $(EXE_DIR)/mergefonts

# Build targets
TARGETS = $(PRG_TARGET)

# Standard definitions
include $(realpath ../../../../../public/config/linux/gcc/gcc_tx.mak)

# include tx/rotatefont/mergefonts shared header files
STD_OPTS += -I$(realpath $(ROOT_DIR)/../public/lib/source/tx_shared)

# Object rules
mergeFonts.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/mergeFonts.c -o $@

=== c/rotatefont/build/linux/gcc/release/Makefile ===
#########################################################################
#                                                                       #
# Copyright 1997-2003 Adobe Systems Incorporated.                       #
# All rights reserved.                                                  #
#                                                                       #
#########################################################################

# Configuration
CONFIG = release
ROOT_DIR = $(realpath ../../../..)
OBJECT_DIR = .

CFLAGS = $(STD_OPTS)

# Program
PRG_SRCS = $(SRC_DIR)/rotateFont.c
PRG_OBJS = rotateFont.o
PRG_TARGET = $(EXE_DIR)/rotatefont

# Build targets
TARGETS = $(PRG_TARGET)

# Standard definitions
include $(realpath ../../../../../public/config/linux/gcc/gcc_tx.mak)

# include tx/rotatefont/mergefonts shared header files
STD_OPTS += -I$(realpath $(ROOT_DIR)/../public/lib/source/tx_shared)

# Object rules
rotateFont.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/rotateFont.c -o $@

=== c/sfntdiff/build/linux/gcc/release/Makefile ===
# Copyright 2014 Adobe Systems Incorporated (http://www.adobe.com/). All Rights Reserved.
# This software is licensed as OpenSource, under the Apache License, Version 2.0. 
# This license is available at: http://opensource.org/licenses/Apache-2.0.

# Configuration
CONFIG = release
ROOT_DIR = $(realpath ../../../..)
OBJECT_DIR = .

CFLAGS = $(STD_OPTS) -I$(realpath $(ROOT_DIR)/../spot/sfnt_includes)

# Program
PRG_SRCS = $(SRC_DIR)/Dmain.c \
	$(SRC_DIR)/Dda.c \
	$(SRC_DIR)/Ddesc.c \
	$(SRC_DIR)/Dfile.c \
	$(SRC_DIR)/Dglobal.c \
	$(SRC_DIR)/Dhead.c \
	$(SRC_DIR)/Dmain.c \
	$(SRC_DIR)/Dname.c \
	$(SRC_DIR)/Dopt.c \
	$(SRC_DIR)/Dpriv.c \
	$(SRC_DIR)/Dsfnt.c \
	$(SRC_DIR)/Dsys.c \
	$(SRC_DIR)/Dtto.c

PRG_INCLUDES = 	$(SRC_DIR)/Dda.h \
	$(SRC_DIR)/Ddesc.h \
	$(SRC_DIR)/Dfile.h \
	$(SRC_DIR)/Dglobal.h \
	$(SRC_DIR)/Dhead.h \
	$(SRC_DIR)/Dname.h \
	$(SRC_DIR)/Dopt.h \
	$(SRC_DIR)/Dsfnt.h \
	$(SRC_DIR)/Dsys.h \
	$(SRC_DIR)/Dtto.h \
	$(SRC_DIR)/numtypes.h \
	$(ROOT_DIR)/../spot/sfnt_includes/sfnt_common.h


PRG_OBJS = $(OBJECT_DIR)/Dda.o \
	$(OBJECT_DIR)/Ddesc.o \
	$(OBJECT_DIR)/Dfile.o \
	$(OBJECT_DIR)/Dglobal.o \
	$(OBJECT_DIR)/Dhead.o \
	$(OBJECT_DIR)/Dmain.o \
	$(OBJECT_DIR)/Dname.o \
	$(OBJECT_DIR)/Dopt.o \
	$(OBJECT_DIR)/Dpriv.o \
	$(OBJECT_DIR)/Dsfnt.o \
	$(OBJECT_DIR)/Dsys.o \
	$(OBJECT_DIR)/Dtto.o
	
PRG_TARGET = $(EXE_DIR)/sfntdiff

# Build targets
TARGETS = $(PRG_TARGET)

# Standard definitions
include $(realpath ../../../../../public/config/linux/gcc/gcc.mak)

# Object rules
$(OBJECT_DIR)/Dda.o: $(SRC_DIR)/Dda.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Dda.c -o $(OBJECT_DIR)/Dda.o
$(OBJECT_DIR)/Ddesc.o: $(SRC_DIR)/Ddesc.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Ddesc.c -o $(OBJECT_DIR)/Ddesc.o
$(OBJECT_DIR)/Dfile.o: $(SRC_DIR)/Dfile.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Dfile.c -o $(OBJECT_DIR)/Dfile.o
$(OBJECT_DIR)/Dglobal.o: $(SRC_DIR)/Dglobal.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Dglobal.c -o $(OBJECT_DIR)/Dglobal.o
$(OBJECT_DIR)/Dhead.o: $(SRC_DIR)/Dhead.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Dhead.c -o $(OBJECT_DIR)/Dhead.o
$(OBJECT_DIR)/Dmain.o: $(SRC_DIR)/Dmain.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Dmain.c -o $(OBJECT_DIR)/Dmain.o
$(OBJECT_DIR)/Dname.o: $(SRC_DIR)/Dname.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Dname.c -o $(OBJECT_DIR)/Dname.o
$(OBJECT_DIR)/Dopt.o: $(SRC_DIR)/Dopt.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Dopt.c -o $(OBJECT_DIR)/Dopt.o
$(OBJECT_DIR)/Dpriv.o: $(SRC_DIR)/Dpriv.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Dpriv.c -o $(OBJECT_DIR)/Dpriv.o
$(OBJECT_DIR)/Dsfnt.o: $(SRC_DIR)/Dsfnt.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Dsfnt.c -o $(OBJECT_DIR)/Dsfnt.o
$(OBJECT_DIR)/Dsys.o: $(SRC_DIR)/Dsys.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Dsys.c -o $(OBJECT_DIR)/Dsys.o
$(OBJECT_DIR)/Dtto.o: $(SRC_DIR)/Dtto.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Dtto.c -o $(OBJECT_DIR)/Dtto.o

=== c/sfntedit/build/linux/gcc/debug/Makefile ===
# Copyright 2014 Adobe Systems Incorporated (http://www.adobe.com/). All Rights Reserved.
# This software is licensed as OpenSource, under the Apache License, Version 2.0. 
# This license is available at: http://opensource.org/licenses/Apache-2.0.

# Configuration
CONFIG = debug
ROOT_DIR = ../../../..
OBJECT_DIR = .

CFLAGS = $(STD_OPTS) -g -I$(ROOT_DIR)/../spot/sfnt_includes

# Program
PRG_SRCS = $(SRC_DIR)/Eda.c \
	$(SRC_DIR)/Efile.c \
	$(SRC_DIR)/Eglobal.c \
	$(SRC_DIR)/Emsgs.c \
	$(SRC_DIR)/Esys.c \
	$(SRC_DIR)/main.c


PRG_INCLUDES = $(SRC_DIR)/Eda.h \
	$(SRC_DIR)/Efile.h \
	$(SRC_DIR)/Eglobal.h \
	$(SRC_DIR)/Emsgs.h \
	$(SRC_DIR)/Esys.h \
	$(SRC_DIR)/otftableeditor.h


PRG_OBJS = $(OBJECT_DIR)/Eda.o \
	$(OBJECT_DIR)/Efile.o \
	$(OBJECT_DIR)/Eglobal.o \
	$(OBJECT_DIR)/Emsgs.o \
	$(OBJECT_DIR)/Esys.o \
	$(OBJECT_DIR)/main.o
	
PRG_TARGET = $(EXE_DIR)/sfntedit

# Build targets
TARGETS = $(PRG_TARGET)

# Standard definitions
include ../../../../../public/config/linux/gcc/gcc.mak

# Object rules
$(OBJECT_DIR)/Eda.o: $(SRC_DIR)/Eda.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Eda.c -o $(OBJECT_DIR)/Eda.o
$(OBJECT_DIR)/Efile.o: $(SRC_DIR)/Efile.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Efile.c -o $(OBJECT_DIR)/Efile.o
$(OBJECT_DIR)/Eglobal.o: $(SRC_DIR)/Eglobal.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Eglobal.c -o $(OBJECT_DIR)/Eglobal.o
$(OBJECT_DIR)/Emsgs.o: $(SRC_DIR)/Emsgs.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Emsgs.c -o $(OBJECT_DIR)/Emsgs.o
$(OBJECT_DIR)/Esys.o: $(SRC_DIR)/Esys.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/Esys.c -o $(OBJECT_DIR)/Esys.o
$(OBJECT_DIR)/main.o: $(SRC_DIR)/main.c $(PRG_INCLUDES)
	$(CC)  $(CFLAGS) -c $(SRC_DIR)/main.c -o $(OBJECT_DIR)/main.o

=== c/makeotf/makeotf_lib/build/cffread/linux/gcc/debug/Makefile ===
#########################################################################
#                                                                       #
# Copyright 2014 Adobe Systems Incorporated.                       #
# All rights reserved.                                                  #
#                                                                       #
#########################################################################

# Configuration
CONFIG = debug

# Library
ROOT_DIR = ../../../../..
SRC_DIR = $(ROOT_DIR)/source/cffread
OBJECT_DIR = .
LIB_TARGET = $(LIB_DIR)/cffread.a

CFLAGS = $(STD_OPTS) -I$(ROOT_DIR)/api \
					 -I$(ROOT_DIR)/resource \
					 -I$(ROOT_DIR)/../../public/lib/api \
					 -I$(ROOT_DIR)/../../public/lib/resource \
					 -DCFF_DEBUG=1 \
					 -DCFF_T13_SUPPORT=0 \
					 -g
					 
LIB_SRCS = $(SRC_DIR)/cffread.c

LIB_OBJS = cffread.o

# Standard definitions
include  $(ROOT_DIR)/../../public/lib/config/linux/gcc/gcc.mak

	
# Lib Object rules
cffread.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/cffread.c -o $@

=== c/makeotf/makeotf_lib/build/hotconv/linux/gcc/release/Makefile ===
#########################################################################
#                                                                       #
# Copyright 2014 Adobe Systems Incorporated.                       #
# All rights reserved.                                                  #
#                                                                       #
#########################################################################

# Configuration
CONFIG = release

# Library
ROOT_DIR = $(realpath ../../../../..)
SRC_DIR = $(ROOT_DIR)/source/hotconv
OBJECT_DIR = .
LIB_TARGET = $(LIB_DIR)/hotconv.a

CFLAGS = $(STD_OPTS) -I$(ROOT_DIR)/api \
					 -I$(ROOT_DIR)/resource \
					 -I$(ROOT_DIR)/build/hotpccts/pccts/h \
					 -I$(realpath $(ROOT_DIR)/../../public/lib/api) \
					 -I$(realpath $(ROOT_DIR)/../../public/lib/resource) \
					 -DHOT_FEAT_SUPPORT=1
					 
LIB_SRCS = \
	$(SRCDIR)/anon.c \
	$(SRCDIR)/BASE.c \
	$(SRCDIR)/CFF_.c \
	$(SRCDIR)/cmap.c \
	$(SRCDIR)/featerr.c \
	$(SRCDIR)/featgram.c \
	$(SRCDIR)/featscan.c \
	$(SRCDIR)/GDEF.c \
	$(SRCDIR)/GPOS.c \
	$(SRCDIR)/GSUB.c \
	$(SRCDIR)/head.c \
	$(SRCDIR)/hhea.c \
	$(SRCDIR)/hmtx.c \
	$(SRCDIR)/hot.c \
	$(SRCDIR)/map.c \
	$(SRCDIR)/maxp.c \
	$(SRCDIR)/name.c \
	$(SRCDIR)/OS_2.c \
	$(SRCDIR)/otl.c \
	$(SRCDIR)/post.c \
	$(SRCDIR)/sfnt.c \
	$(SRCDIR)/STAT.c \
	$(SRCDIR)/vhea.c \
	$(SRCDIR)/vmtx.c \
	$(SRCDIR)/VORG.c
	
LIB_OBJS = \
	$(OBJECT_DIR)/anon.o \
	$(OBJECT_DIR)/BASE.o \
	$(OBJECT_DIR)/CFF_.o \
	$(OBJECT_DIR)/cmap.o \
	$(OBJECT_DIR)/featerr.o \
	$(OBJECT_DIR)/featgram.o \
	$(OBJECT_DIR)/featscan.o \
	$(OBJECT_DIR)/GDEF.o \
	$(OBJECT_DIR)/GPOS.o \
	$(OBJECT_DIR)/GSUB.o \
	$(OBJECT_DIR)/head.o \
	$(OBJECT_DIR)/hhea.o \
	$(OBJECT_DIR)/hmtx.o \
	$(OBJECT_DIR)/hot.o \
	$(OBJECT_DIR)/map.o \
	$(OBJECT_DIR)/maxp.o \
	$(OBJECT_DIR)/name.o \
	$(OBJECT_DIR)/OS_2.o \
	$(OBJECT_DIR)/otl.o \
	$(OBJECT_DIR)/post.o \
	$(OBJECT_DIR)/sfnt.o \
	$(OBJECT_DIR)/STAT.o \
	$(OBJECT_DIR)/vhea.o \
	$(OBJECT_DIR)/vmtx.o \
	$(OBJECT_DIR)/VORG.o

# Standard definitions
include  $(ROOT_DIR)/../../public/lib/config/linux/gcc/gcc.mak

	
# Lib Object rules
anon.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/anon.c -o $@

BASE.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/BASE.c -o $@

CFF_.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/CFF_.c -o $@

cmap.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/cmap.c -o $@

featerr.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/featerr.c -o $@

featgram.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/featgram.c -o $@

featscan.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/featscan.c -o $@

GDEF.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/GDEF.c -o $@

GPOS.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/GPOS.c -o $@

GSUB.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/GSUB.c -o $@

head.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/head.c -o $@

hhea.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/hhea.c -o $@

hmtx.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/hmtx.c -o $@

hot.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/hot.c -o $@

map.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/map.c -o $@

maxp.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/maxp.c -o $@

name.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/name.c -o $@

OS_2.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/OS_2.c -o $@

otl.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/otl.c -o $@

post.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/post.c -o $@

sfnt.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/sfnt.c -o $@

STAT.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/STAT.c -o $@

vhea.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/vhea.c -o $@

vmtx.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/vmtx.c -o $@

VORG.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/VORG.c -o $@

=== c/makeotf/makeotf_lib/build/pstoken/linux/gcc/release/Makefile ===
#########################################################################
#                                                                       #
# Copyright 2014 Adobe Systems Incorporated.                       #
# All rights reserved.                                                  #
#                                                                       #
#########################################################################

# Configuration
CONFIG = release

# Library
ROOT_DIR = $(realpath ../../../../..)
SRC_DIR = $(ROOT_DIR)/source/pstoken
OBJECT_DIR = .
LIB_TARGET = $(LIB_DIR)/pstoken.a

CFLAGS = $(STD_OPTS) -I$(ROOT_DIR)/api \
					 -I$(realpath $(ROOT_DIR)/../../public/lib/api) \
					 -I$(realpath $(ROOT_DIR)/../../public/lib/resource) \
					 -DCFF_DEBUG=1 \
					 -DCFF_T13_SUPPORT=0
					 
LIB_SRCS = $(SRC_DIR)/pstoken.c

LIB_OBJS = pstoken.o

# Standard definitions
include  $(realpath $(ROOT_DIR)/../../public/lib/config/linux/gcc/gcc.mak)

	
# Lib Object rules
pstoken.o:
	$(CC) $(CFLAGS) -c $(SRC_DIR)/pstoken.c -o $@

=== debian/changelog ===
afdko (3.6.0+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * debian/rules
    - Add hardening option
    - Set CPPFLAGS and LDFLAGS via XFLAGS

 -- Hideki Yamane <henrich@debian.org>  Sun, 14 Feb 2021 23:15:29 +0900

afdko (3.6.0+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * debian/control
    - Adjust Build-Depends with cu2qu removal (Closes: #982697)
  * debian/rules
    - Ignore error at dh_auto_clean target
  * Update extend-diff-ignore in debian/source/options
  * Add debian/salsa-ci.yml

 -- Hideki Yamane <henrich@debian.org>  Sun, 14 Feb 2021 10:46:05 +0900

afdko (3.6.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.6.0+dfsg1
  * debian/control:
    - Update dependencies
    - debian/control: Bump Standards-Version to 4.5.1. No other changes are
      needed.
  * debian/watch: Handle pre-release version
  * debian/rules: Make setuptools-scm know the version of the package

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Fri, 01 Jan 2021 19:05:48 +0800

=== debian/control ===
--- 
+++ 
@@ -8,19 +8,17 @@
  dh-python,
  python3-all,
  python3-booleanoperations (>= 0.9.0),
- python3-cu2qu (>= 1.6.7),
  python3-defcon (>= 0.7.2),
  python3-fontmath (>= 0.6.0),
- python3-fonttools (>= 4.14.0),
- python3-mutatormath (>= 3.0.1),
- python3-psautohint (>= 2.1.0),
+ python3-fonttools (>= 4.19.1),
+ python3-psautohint (>= 2.2.0),
  python3-tqdm (>= 4.48.2),
- python3-ufonormalizer (>= 0.4.2),
+ python3-ufonormalizer (>= 0.5.2),
  python3-ufoprocessor (>= 1.9.0),
  python3-setuptools,
  python3-setuptools-scm,
  python3-wheel
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://adobe-type-tools.github.io/afdko/
 Vcs-Browser: https://salsa.debian.org/fonts-team/afdko
 Vcs-Git: https://salsa.debian.org/fonts-team/afdko.git

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?(a|b)[.]?(\d*)$/\$1~\$2\$3/,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1" \
https://github.com/adobe-type-tools/afdko/releases .*/v*@ANY_VERSION@@ARCHIVE_EXT@
